package com.jpsoft.picc.test;

import com.jpsoft.picc.modules.base.entity.Company;
import com.jpsoft.picc.modules.base.service.CompanyService;
import com.jpsoft.picc.modules.common.constant.PolicyStatus;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.Date;
import java.util.UUID;
import java.util.function.Consumer;

@RunWith(SpringRunner.class)
@SpringBootTest
public class CompanyTest {
    @Autowired
    private CompanyService companyService;

    @Test
    public void list(){
        System.out.println(companyService.list().size());
    }

    @Test
    public void insert(){
        Consumer<String> print = System.out::println;

        Company company = new Company();
        company.setId(UUID.randomUUID().toString());
        company.setCreateBy("zq");
        company.setCreateTime(new Date());

        companyService.insert(company);
    }

    private void testParamOutput(String name,Integer age){
        System.out.println("testParamOutput " + "name = [" + name + "], age = [" + age + "]");
    }
}
