package com.jpsoft.picc.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.picc.modules.base.entity.TransactionRecord;
import java.util.Map;
import com.jpsoft.picc.modules.common.dto.Sort;

@Repository
public interface TransactionRecordDAO {
	int insert(TransactionRecord entity);
	int update(TransactionRecord entity);
	int exist(String id);
	TransactionRecord get(String id);
	int delete(String id);
	List<TransactionRecord> list();
	List<TransactionRecord> search(Map<String, Object> searchParams, List<Sort> sortList);

    TransactionRecord getByOrderNo(String orderNo);
}