package com.jpsoft.picc.modules.business.service;

import com.github.pagehelper.Page;
import com.jpsoft.picc.modules.business.entity.InsurancePolicyRecord;
import com.jpsoft.picc.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface InsurancePolicyRecordService {
	InsurancePolicyRecord get(String id);
	boolean exist(String id);
	int insert(InsurancePolicyRecord model);
	int update(InsurancePolicyRecord model);
	int delete(String id);
	List<InsurancePolicyRecord> list();
	List<InsurancePolicyRecord> historyList(String policy_id);
	Page<InsurancePolicyRecord> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,List<Sort> sortList);
}