package com.jpsoft.picc.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.picc.modules.base.entity.CompanyInvoice;
import java.util.Map;
import com.jpsoft.picc.modules.common.dto.Sort;

@Repository
public interface CompanyInvoiceDAO {
	int insert(CompanyInvoice entity);
	int update(CompanyInvoice entity);
	int exist(String id);
	CompanyInvoice get(String id);
	int delete(String id);
	List<CompanyInvoice> list();
	List<CompanyInvoice> search(Map<String, Object> searchParams, List<Sort> sortList);
	CompanyInvoice getByCompanyId(String id);
}