package com.jpsoft.picc.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.picc.modules.base.entity.InsuranceDefinition;
import java.util.Map;
import com.jpsoft.picc.modules.common.dto.Sort;

@Repository
public interface InsuranceDefinitionDAO {
	int insert(InsuranceDefinition entity);
	int update(InsuranceDefinition entity);
	int exist(String id);
	InsuranceDefinition get(String id);
	int delete(String id);
	List<InsuranceDefinition> list();
	List<InsuranceDefinition> search(Map<String, Object> searchParams, List<Sort> sortList);
}