package com.jpsoft.picc.modules.base.dao;

import com.jpsoft.picc.modules.base.entity.ReplyMessage;
import com.jpsoft.picc.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface ReplyMessageDAO {
	int insert(ReplyMessage entity);
	int update(ReplyMessage entity);
	int exist(String id);
	ReplyMessage get(String id);
	int delete(String id);
	List<ReplyMessage> list();
	List<ReplyMessage> search(Map<String, Object> searchParams, List<Sort> sortList);
	ReplyMessage findByEvent(String wechatId, String event);
}