package com.jpsoft.picc.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.picc.modules.base.entity.CompanyInvoice;
import com.github.pagehelper.Page;
import com.jpsoft.picc.modules.common.dto.Sort;

public interface CompanyInvoiceService {
	CompanyInvoice get(String id);
	boolean exist(String id);
	int insert(CompanyInvoice model);
	int update(CompanyInvoice model);
	int delete(String id);
	List<CompanyInvoice> list();
	Page<CompanyInvoice> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
	CompanyInvoice getByCompanyId(String id);
}