package com.jpsoft.picc.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.picc.modules.base.entity.TemplateMessage;
import com.github.pagehelper.Page;
import com.jpsoft.picc.modules.common.constant.PolicyStatus;
import com.jpsoft.picc.modules.common.dto.Sort;

public interface TemplateMessageService {
	TemplateMessage get(String id);
	boolean exist(String id);
	int insert(TemplateMessage model);
	int update(TemplateMessage model);
	int delete(String id);
	List<TemplateMessage> list();
	Page<TemplateMessage> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,List<Sort> sortList);

	boolean sendTemplateMessage(String policyId, PolicyStatus srcPolicyStatus,PolicyStatus destPolicyStatus);
}