package com.jpsoft.picc.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "jpcloud")
@Data
public class JpCloudConfig {
    private String notifyBackUrl;
    private String synchroBackUrl;
    private String payUrl;
    private String sellerSerialNumber;
    private String platformCode;
    private String platformKey;
}
